package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ DcDeviceBindModel = (*customDcDeviceBindModel)(nil)

type (
	// DcDeviceBindModel is an interface to be customized, add more methods here,
	// and implement the added methods in customDcDeviceBindModel.
	DcDeviceBindModel interface {
		dcDeviceBindModel
	}

	customDcDeviceBindModel struct {
		*defaultDcDeviceBindModel
	}
)

// NewDcDeviceBindModel returns a model for the database table.
func NewDcDeviceBindModel(conn sqlx.SqlConn) DcDeviceBindModel {
	return &customDcDeviceBindModel{
		defaultDcDeviceBindModel: newDcDeviceBindModel(conn),
	}
}
